Bug 4926 - Argument createcomputer does not work in net rpc join
Argument createcomputer does not work in net rpc join
Status: RESOLVED WONTFIX
Product: Samba 3.0
Classification: Unclassified
Component: net utility
3.0.25a
Other All
: P3 enhancement
: none
Assigned To: Jim McDonough
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-29 09:44 UTC by Raj Pagaku
Modified: 2010-03-08 10:14 UTC (History)
0 users

See Also:


Attachments
Patch to support createcomputer using net rpc join in an AD environment (5.66 KB, patch)
2007-08-29 09:45 UTC, Raj Pagaku
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Raj Pagaku 2007-08-29 09:44:01 UTC
Currently the 'net rpc join' does not support creating the machine account in a specific OU since this is an AD specific operation.

In an AD environment it becomes essential to support this since the default folder 'Computers' is usually locked down and very few folks can create objects in this folder.
Comment 1 Raj Pagaku 2007-08-29 09:45:18 UTC
Created attachment 2899 [details]
Patch to support createcomputer using net rpc join in an AD environment
Comment 2 Gerald (Jerry) Carter 2007-08-29 10:11:10 UTC
I'm pretty solidly opposed to this patch as I do not believe it belongs
in 'net rpc join' at all.  Why do you require "net rpc join" in an AD 
environment?

I suggest you poll the samba-technical mailing list and see if anyone 
else might support it.
Comment 3 Raj Pagaku 2007-08-29 11:58:57 UTC
Jerry,

After the explanation you had provided on the samba list, i was almost convinced that i was probably the only one who ran into this issue and decided not to file the bug.

However i received an email from a Samba user (James. R Grinter) who was interested in the patch.  I filed an enhancement bug so that people can find the patch and use it if it is applicable in their environment.

My request would be wait for a few days and see other people's interest in this patch and if we don't have many takers for this, please feel free to mark this bug as INVALID or WONTFIX.

Thanks
Raj
Comment 4 Gerald (Jerry) Carter 2007-08-29 12:12:36 UTC
Sure.  I'll leave it open.  That's also why I suggested bring it up
for discussion on the samba-technical list to get input from the
other devs as well.
Comment 5 Kai Blin 2008-06-23 16:45:34 UTC
Being new to this, why would you need to net rpc join an AD while setting AD options? Isn't that just what net ads join is for? If your Samba can't do ADS, you'll run into trouble later anyway, I'd guess.
Comment 6 Raj Pagaku 2008-06-23 16:48:09 UTC
We have certain deployments which is running older versions of AD and hence needs to support 'rpc mode'.
Comment 7 Jim McDonough 2010-03-08 10:14:40 UTC
Sorry, i just don't see a need to use OU's with rpc.  Older AD setups should still work with net ads.